//More information at: https://www.aeq-web.com

#include <EEPROM.h>


void setup() {
  Serial.begin(9600);
  write_int(0, 6789); //Write int 6789 to EEPROM @ address 0
}

void loop() {
  read_int(0); //Read from EEPROM
  delay(1000);
}


int read_int(int address)
{

  long byte_2 = EEPROM.read(address);
  long byte_1 = EEPROM.read(address + 1);
  int val = ((byte_2 << 0) & 0xFFFFFF) + ((byte_1 << 8) & 0xFFFFFFFF);

  Serial.print("Read from EEPROM (Address: ");
  Serial.print(address);
  Serial.print(",");
  Serial.print(address + 1);
  Serial.print("):");
  Serial.println(val);

  return val;
}

void write_int(int address, int value)
{
  byte byte_2 = (value & 0xFF);
  byte byte_1 = ((value >> 8) & 0xFF);
  EEPROM.update(address, byte_2);
  EEPROM.update(address + 1, byte_1);

  Serial.print("Write to EEPROM (Address: ");
  Serial.print(address);
  Serial.print(",");
  Serial.print(address + 1);
  Serial.print("):");
  Serial.println(value);
}
