//More information at: https://www.aeq-web.com

#include <EEPROM.h>

void setup() {
  Serial.begin(9600);
  write_string(0, "Hello from AEQ-WEB"); //Write to Address 0
}

void loop() {
  String eeprom_string = read_string(0); //Read from address 0
  Serial.print("Read String from EEPROM: ");
  Serial.println(eeprom_string);
  delay(1000);
}

void write_string(int address , String data){
  int i, string_length = data.length();
  Serial.print("Write to EEPROM (Address: ");
  for (i = 0; i < string_length; i++)
  {
    Serial.print(address + i);
    Serial.print(",");
    EEPROM.write(address + i, data[i]);
  }
  Serial.print("):");
  Serial.println(data);
  EEPROM.write(address + string_length, '\0'); //mark end of string
}


String read_string(int address){
  int i, read_length;
  char get_byte, read_data[250];
  get_byte = EEPROM.read(address);
  while (get_byte != '\0' && read_length < 250)
  {
    get_byte = EEPROM.read(address + read_length);
    read_data[read_length] = get_byte;
    read_length++;
  }
  read_data[read_length] = '\0';
  return String(read_data);
}
